Filter (CMDB Model API)
Keywords: com.collation.platform.model.discovery.template.Filter interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.template
Interface Filter

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface Filter

extends ModelObject

Naming Rules:
  0="parent,part,operand2,operator,operand1" 1="parent,part,operator,operand1"
Persistable:
  true
Table Name:
  FILTER
Display Name:
  part,operand1,operator,operand2

Method Summary
`java.lang.String` | `getOperand1()`
`java.lang.String` | `getOperand2()`
`java.lang.String` | `getOperator()`
`FilterSet` | `getParent()`
`java.lang.String` | `getPart()`
`boolean` | `hasOperand1()`
`boolean` | `hasOperand2()`
`boolean` | `hasOperator()`
`boolean` | `hasParent()`
`boolean` | `hasPart()`
`void` | `setOperand1(java.lang.String operand1)` Sets the operand1.
`void` | `setOperand2(java.lang.String operand2)` Sets the operand2.
`void` | `setOperator(java.lang.String operator)` Sets the operator.
`void` | `setParent(FilterSet parent)`
`void` | `setPart(java.lang.String part)` Sets the part.

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    FilterSet getParent()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setParent

    void setParent(FilterSet parent)

### hasParent

    boolean hasParent()

### getOperand1

    java.lang.String getOperand1()
                                 throws AttributeNotSetException

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setOperand1

    void setOperand1(java.lang.String operand1)
                     throws FilterException

  Sets the operand1.

  Parameters:
    `operand1` - The operand1 to set
  Throws:
    `FilterException`

### hasOperand1

    boolean hasOperand1()

### getOperand2

    java.lang.String getOperand2()
                                 throws AttributeNotSetException

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setOperand2

    void setOperand2(java.lang.String operand2)
                     throws FilterException

  Sets the operand2.

  Parameters:
    `operand2` - The operand2 to set
  Throws:
    `FilterException`

### hasOperand2

    boolean hasOperand2()

### getOperator

    java.lang.String getOperator()
                                 throws AttributeNotSetException

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setOperator

    void setOperator(java.lang.String operator)
                     throws FilterException

  Sets the operator.

  Parameters:
    `operator` - The operator to set
  Throws:
    `FilterException`

### hasOperator

    boolean hasOperator()

### getPart

    java.lang.String getPart()
                             throws AttributeNotSetException

  Returns:
    String
  Throws:
    `AttributeNotSetException`

### setPart

    void setPart(java.lang.String part)
                 throws FilterException

  Sets the part.

  Parameters:
    `part` - The part to set
  Throws:
    `FilterException`

### hasPart

    boolean hasPart()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD